Articles of instalação

Como posso usar um novo módulo Perl sem permissions de instalação?

Aqui está a minha situação: Eu não sei quase nada sobre o Perl, mas é a única linguagem disponível em uma máquina portadora. Eu só tenho permissions para escrever na minha área de trabalho local e não no local de instalação do Perl. Eu preciso usar o módulo Parallel :: ForkManager Perl do CPAN Como […]

Instalando a versão mais antiga do pacote R

Eu estou tentando usar Rpy2 e ggplot2, mas recebo um erro. Depois de procurar o erro on-line, descobri que o erro ocorre porque há mudanças no pacote ggplot2 que ainda não estão refletidas no Rpy2 (por exemplo, veja este post (Edit: Link está morto)). Então agora preciso instalar uma versão mais antiga do ggplot2. Aqui […]

Crie um programa de instalação para aplicativos C # e inclua o instalador do .NET Framework na instalação

Eu terminei meu aplicativo c #, mas eu tenho um pequeno problema: Quando tento executar meu aplicativo em outro PC, preciso sempre instalar o .NET Framework 4.0. Há algo a fazer para que funcione sem instalar o framework da Internet? Eu tentei antes InnoSetup para um aplicativo VB6, mas não tenho certeza se ele vai […]

Como fazer melhor uso dos arquivos MSI

Como você deve saber, msiexec é um aplicativo de linha de comando que você pode usar para instalar um arquivo MSI. Como você deve saber, você pode executá-lo no modo silencioso ou invisível. Se o instalador exigir que o usuário responda a perguntas específicas sobre quais partes instalar, existe alguma maneira de colocar na linha […]

Como faço para detectar quais versões do .NET Framework e service packs estão instalados?

Uma pergunta semelhante foi feita aqui , mas foi específica para o .NET 3.5. Especificamente, estou procurando o seguinte: Qual é a maneira correta de determinar quais versões do .NET Framework e service packs estão instalados? Existe uma lista de chaves de registro que podem ser usadas? Existem dependencies entre as versões do Framework?

O Homebrew instala uma versão específica da fórmula?

Como faço para instalar uma versão específica de uma fórmula no homebrew? Por exemplo, postgresql-8.4.4 em vez do último 9.0.

Como devo lidar com “pacote ‘xxx’ não está disponível (para R versão xyz)” aviso?

Eu tentei instalar um pacote usando install.packages(“foobarbaz”) mas recebeu o aviso Warning message: package ‘foobarbaz’ is not available (for R version xyz) Por que o R não acha que o pacote está disponível? Veja também estas questões referentes a instâncias específicas deste problema: Meu pacote não funciona para R 2.15.2 pacote ‘Rbbg’ não está disponível […]